#FROM r2.aztrace.vn/oracle/serverjre:8
FROM sgrio/java:jre_8_alpine
#FROM openjdk:8-jre-alpine

ENV SPRING_OUTPUT_ANSI_ENABLED=ALWAYS \
    JHIPSTER_SLEEP=0 \
    JAVA_OPTS=""

# Add a jhipster user to run our application so that it doesn't need to run as root
RUN adduser -D -s /bin/sh jhipster
#RUN -s /bin/sh --login jhipster
WORKDIR /home/jhipster
# WORKDIR /root

ADD src/main/docker/entrypoint.sh entrypoint.sh
RUN chmod 755 entrypoint.sh && chown jhipster:jhipster entrypoint.sh
USER jhipster
RUN mkdir upload
ADD build/libs/smart-farm-0.0.1-SNAPSHOT.war app.war

ENTRYPOINT ["./entrypoint.sh"]

EXPOSE 8080
